# DApp Connection

## Install the App

#### Install Teleport Wallet extension from Google Chrome Web Store

{% embed url="<https://chrome.google.com/webstore/detail/teleport-wallet/gkeelndblnomfmjnophbhfhcjbcnemka>" %}

#### Acquire source code

Acquire source code from your dapp repository

#### Installation dependency

npm install

## Connect Plugin

### 1.window\.teleport

Teleport Wallet injected a teleport object which is similar to Metamask; You can refer to the method of connecting metamask for adaptation;

Teleport Wallet implements API of EIP-1193, including:

* "eth\_accounts",
* "eth\_requestAccounts",
* "personal\_sign",
* "wallet\_addEthereumChain",
* "wallet\_switchEthereumChain",
* "eth\_sendTransaction",
* "eth\_getBalance",
* "eth\_getCode",
* "eth\_call",
* "eth\_estimateGas",
* "eth\_getTransactionByHash",
* "eth\_blockNumber",
* "eth\_getTransactionReceipt",
* "net\_version",
* "eth\_chainId",
* "eth\_gasPrice",

And "accountsChanged", "chainChanged" events

### 2.window\.ethereum

Teleport Wallet will inject ethereum objects into the page when the user does not enable metamask or select Teleport Wallet as ‘Default Wallet’ as below:

![](/files/zwofqSc6pWfUqcSingef)

The ‘Default Wallet’ setting will also set window\.ethereum.isMetamask when dapp loading the first time.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teleportwallet.io/use-cases/for-engineers/dapp-connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
